/******************************************************************
 * SparkFun Inventor's Kit
 * Example sketch 06
 * 
 * PHOTO RESISTOR
 * 
 * Use a photoresistor (light sensor) to control the brightness
 * of a LED.
 * 
 * This sketch was written by SparkFun Electronics,
 * with lots of help from the Arduino community.
 * This code is completely free for any use.
 * Visit http://learn.sparkfun.com/products/2 for SIK information.
 * Visit http://www.arduino.cc to learn about the Arduino.
 * 
 * Version 2.0 6/2012 MDG
 * Version 2.1 9/2014 BCH

// As usual, we'll create constants to name the pins we're using.
// This will make it easier to follow the code below.
/*****************************************************************/


#include <Wire.h> // Enable this line if using Arduino Uno, Mega, etc.
#include <Adafruit_GFX.h>
#include "Adafruit_LEDBackpack.h"

Adafruit_7segment matrix = Adafruit_7segment();




const int sensorPin = 0;
const int ledPin = 9;


const int sensorPin2 = 1;
const int ledPin2= 10;

// We'll also set up some global variables for the light level:
int lightLevel;
int score =0;
int score2=0;
int lightLevel2;
int calibratedlightLevel2;
int calibratedlightLevel; // used to store the scaled / calibrated lightLevel
int maxThreshold = 0;     // used for setting the "max" light level
int minThreshold = 1023;   // used for setting the "min" light level

void setup()
{
  #ifndef __AVR_ATtiny85__
    Serial.begin(9600);
    Serial.println("7 Segment Backpack Test");
  #endif
    matrix.begin(0x70);

  pinMode(ledPin, OUTPUT);
  pinMode(ledPin2, OUTPUT);// Set up the LED pin to be an output.
  Serial.begin(9600);
  matrix.writeDigitNum(0,0);
  matrix.writeDigitNum(1,0);
  matrix.writeDigitNum(3,0);
  matrix.writeDigitNum(4,0);
  
}

void loop()
{
  lightLevel = analogRead(sensorPin);  // reads the voltage on the sensorPin
  
  lightLevel2 = analogRead(sensorPin2);  // reads the voltage on the sensorPin
 
  //autoRange();  // autoRanges the min / max values you see in your room.

  calibratedlightLevel = map(lightLevel, 0, 1023, 0, 255);  // scale the lightLevel from 0 - 1023 range to 0 - 255 range.
                                                  // the map() function applies a linear scale / offset.
                                                  // map(inputValue, fromMin, fromMax, toMin, toMax);
  calibratedlightLevel2 = map(lightLevel2, 0, 1023, 0, 255); 
  Serial.print("\t");           // tab character
  Serial.println(calibratedlightLevel);   // println prints an CRLF at the end (creates a new line after)

  analogWrite(ledPin, 1000);
  analogWrite(ledPin2,1000);// set the led level based on the input lightLevel.
  if (calibratedlightLevel<10) {
    score+=1;
    //matrix.print(score);
    matrix.writeDigitNum(1, score);
    if (score<10) {
      matrix.writeDigitNum(0,0);
      matrix.blinkRate(0);
    }
    if (score==10){
      matrix.writeDigitNum(0,1);
      matrix.writeDigitNum(1,0);
      }
    if (score==11){
      matrix.writeDigitNum(0,1);
      matrix.writeDigitNum(1,1);
      }
      delay(500);  
    }
    if (score>10) {
    matrix.blinkRate(2);
    score=0;
    score2=0;
  //  matrix.writeDigitNum(0,0);
   // matrix.writeDigitNum(1,0);
   // matrix.writeDigitNum(3,0);
   // matrix.writeDigitNum(4,0);
  
    }
  if (calibratedlightLevel2<10                                                                                                                                    ) {
    score2+=1;
    matrix.writeDigitNum(4,score2);
    if (score2<10) {
      matrix.writeDigitNum(3,0);
      matrix.blinkRate(0);
    }
    if (score2==10){
      matrix.writeDigitNum(3,1);
      matrix.writeDigitNum(4,0);
      }
    if (score2==11){
      matrix.writeDigitNum(4,1);
      matrix.writeDigitNum(3,1);
      }
    delay(500);    
    }
  if (score2>10) {
    matrix.blinkRate(2);
    score2=0;
    score=0;
    //matrix.writeDigitNum(0,0);
   // matrix.writeDigitNum(1,0);
   // matrix.writeDigitNum(3,0);
   // matrix.writeDigitNum(4,0);
  
    }
  matrix.writeDisplay();

    
    
}
/******************************************************************
 * void autoRange()
 * 
 * This function sets a minThreshold and maxThreshold value for the
 * light levels in your setting. Move your hand / light source / etc
 * so that your light sensor sees a full range of values. This will
 * "autoCalibrate" to your range of input values.
/*****************************************************************/

void autoRange()
{
  if (lightLevel < minThreshold)  // minThreshold was initialized to 1023 -- so, if it's less, reset the threshold level.
    minThreshold = lightLevel;

  if (lightLevel > maxThreshold)  // maxThreshold was initialized to 0 -- so, if it's bigger, reset the threshold level.
    maxThreshold = lightLevel;

  // Once we have the highest and lowest values, we can stick them
  // directly into the map() function.
  // 
  // This function must run a few times to get a good range of bright and dark values in order to work.

  //lightLevel = map(lightLevel, minThreshold, maxThreshold, 0, 255);
  //lightLevel = constrain(lightLevel, 0, 255);
 
}
